Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.client.renderer.entity
Class RenderBoat

    java.lang.Object
      net.minecraft.client.renderer.entity.Render
          net.minecraft.client.renderer.entity.RenderBoat

    public class RenderBoat

extends Render

Constructor Summary
`RenderBoat()`

Method Summary
`void` | `doRender(Entity par1Entity, double par2, double par4, double par6, float par8, float par9)` Actually renders the given argument.
`void` | `renderBoat(EntityBoat par1EntityBoat, double par2, double par4, double par6, float par8, float par9)` The render method used in RenderBoat that renders the boat model.

Methods inherited from class net.minecraft.client.renderer.entity.Render
`doRenderShadowAndFire, getFontRendererFromRenderManager, renderAABB, renderOffsetAABB, setRenderManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderBoat

    public RenderBoat()

Method Detail

### renderBoat

    public void renderBoat(EntityBoat par1EntityBoat,
                           double par2,
                           double par4,
                           double par6,
                           float par8,
                           float par9)

  The render method used in RenderBoat that renders the boat model.

### doRender

    public void doRender(Entity par1Entity,
                         double par2,
                         double par4,
                         double par6,
                         float par8,
                         float par9)

  Actually renders the given argument. This is a synthetic bridge method, always casting down its argument and then handing it off to a worker function which does the actual work. In all probabilty, the class Render is generic (Render
  Specified by:
    `doRender` in class `Render`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD